package com.cool.bang.modules.business.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.common.web.request.PageDomain;
import com.cool.bang.modules.business.domain.DataCollection;
import com.cool.bang.modules.business.domain.DataCount;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
* 数据集合
*
* @author PeiZhi Guo
* 2024-10-31 17:05
*/
public interface IDataCollectionService extends BaseIService<DataCollection> {

    PageInfo<DataCount> queryByDataCountList(PageDomain pageDomain, DataCount param);

    int queryDataYear( String yearMonth,Long corpId,Integer district);

    int queryIsEnd( String yearMonth,Integer district);

    DataCount queryByDataView( String yearMonth,Integer district);

    List<DataCount> queryByDataCount( );

    boolean addIsEnd(String yearMonth,Integer district);
}
